Package tigase.server.bosh

## Enum Constants.CacheAction

- java.lang.Object
- - java.lang.Enum<Constants.CacheAction>
  - - tigase.server.bosh.Constants.CacheAction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Constants.CacheAction>`
  Enclosing class:
    Constants

      protected static enum Constants.CacheAction
      extends java.lang.Enum<Constants.CacheAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `add` |
    `get` |
    `get_all` |
    `off` |
    `on` |
    `remove` |
    `set` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Constants.CacheAction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Constants.CacheAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### on

          public static final Constants.CacheAction on

    - #### off

          public static final Constants.CacheAction off

    - #### set

          public static final Constants.CacheAction set

    - #### add

          public static final Constants.CacheAction add

    - #### get

          public static final Constants.CacheAction get

    - #### get_all

          public static final Constants.CacheAction get_all

    - #### remove

          public static final Constants.CacheAction remove

  - ### Method Detail

    - #### values

          public static Constants.CacheAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.CacheAction c : Constants.CacheAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.CacheAction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null